<div class="contain">
  <div class="text-center mt-5" style="width: 100%; text-align: center">
    <span>
      {{ pageGuideTexts }} <b style="font-weight: 600;">{{ recommendedSizes[0].Name }}</b>
      <hr />
    </span>
  </div>

  <div class="row w-100 my-3 mx-0">
    <div
      class="card shadow w-100 p-2 rounded"
      style="font-size: 18px; font-weight: bolder; border: 0; cursor: pointer;"
      (click)="
        showPrimaryRecommendationDetail = !showPrimaryRecommendationDetail
      "
    >
      <div class="row">
        <div class="col">
          <span class="my-auto"> {{ recommendedSizes[0].Name }} Beden </span>
        </div>
        <div class="col">
          <span class="float-right" style="cursor: pointer">
            <!-- <img
              style="width: 40px; display: inline-block"
              src="../../assets/12-layes-outline.gif"
              alt=""
            /> -->
          </span>
        </div>
      </div>

      <div class="progress">
        <div
          [ngStyle]="{ width: recommendedSizes[0].Preference.Fitness + '%' }"
          class="progress-bar progress-bar-striped bg-dark"
          role="progressbar"
          aria-valuenow="10"
          aria-valuemin="0"
          aria-valuemax="100"
        >
          <span
            *ngIf="recommendedSizes[0].Preference.Fitness != 100"
            class="float-left"
          >
            %{{ recommendedSizes[0].Preference.Fitness.toString().slice(0, 2) }}
          </span>
          <span
            *ngIf="recommendedSizes[0].Preference.Fitness == 100"
            class="float-left"
          >
            %{{ recommendedSizes[0].Preference.Fitness.toString().slice(0, 2) }}
          </span>
        </div>
      </div>
       
      <div *ngIf="showPrimaryRecommendationDetail">
        <span *ngFor="let item of recommendedSizes[0].Preference.Bodyparts" class="badge badge-secondary mx-2 my-1">
          {{ item.Name }}: %{{ item.Fitness.toString().slice(0, 2) }}
        </span>
      </div>

    </div>
  </div>

  <div class="row w-100 my-3 mx-0" >
    <div
      class="card shadow w-100 p-2 rounded"
      style="font-size: 18px; font-weight: bolder; border: 0; cursor: pointer;"
      (click)="
        showSecondaryRecommendationDetail = !showSecondaryRecommendationDetail
      "
    >
      {{ recommendedSizes[1].Name }} Beden
      <div class="progress">
        <div
          class="progress-bar progress-bar-striped bg-dark"
          role="progressbar"
          [ngStyle]="{
            width: recommendedSizes[1].Preference.Fitness + '%'
          }"
          aria-valuenow="10"
          aria-valuemin="0"
          aria-valuemax="100"
        >
          <span
            *ngIf="recommendedSizes[1].Preference.Fitness != 100"
            class="float-left"
          >
            %{{
              (recommendedSizes[1].Preference.Fitness)
                .toString()
                .slice(0, 2)
            }}
          </span>
          <span
            *ngIf="recommendedSizes[1].Preference.Fitness == 100"
            class="float-left"
          >
            %{{
              (recommendedSizes[1].Preference.Fitness)
                .toString()
                .slice(0, 2)
            }}
          </span>
        </div>
      </div>
      <div *ngIf="showSecondaryRecommendationDetail">
        <span *ngFor="let item of recommendedSizes[1].Preference.Bodyparts" class="badge badge-secondary mx-2 my-1">
          {{ item.Name }}: %{{ item.Fitness.toString().slice(0, 2) }}
        </span>
      </div>
    </div>
  </div>

  <div class="row w-100 my-3 mx-0">
    <div
      class="p-2 rounded shadow w-100"
      [ngStyle]="{ 'background-color': color }"
      style="color: white; text-align: center"
    >
      <span style="font-size: 13px;">
        Senin için en uygun bedenin
        <b style="font-weight: 600;">{{ recommendedSizes[0].Name }}</b> olduğunu düşünüyoruz. Tercihine göre  <b style="font-weight: 600;">{{ recommendedSizes[1].Name }}</b> beden de ölçülerine uygun gözükmektedir Ayrıca
        unutma ki her ne sebeple olursa olsun {{brandPreferences.returnDay != undefined ? brandPreferences.returnDay : 14}} gün içerisinde ücretsiz iade
        edebilirsin.
      </span>
    </div>
  </div>

  <div class="row" *ngIf="brandPreferences.showPreferenceSelection">
    <mat-button-toggle-group
      class="mx-auto"
      name="fontStyle"
      aria-label="Font Style"
    >
      <mat-button-toggle (click)="changePreference(1)"
        >Biraz Dar</mat-button-toggle
      >
      <mat-button-toggle (click)="changePreference(0)"
        >Normal</mat-button-toggle
      >
      <mat-button-toggle (click)="changePreference(2)"
        >Biraz Bol</mat-button-toggle
      >
    </mat-button-toggle-group>
  </div>

  <div class="row isMobile mt-2">
    <div class="ml-4">
      <span (click)="resetAll()">
        <img src="../../assets/circular-arrow.svg" style="width: 18px;" alt="">
        <b>

         Sıfırla
        </b>
       
      </span>
    </div>
  </div>
  
</div>
